Package com.independentsoft.office.spreadsheet.externalLinks

# Class ExternalDefinedName

java.lang.Object
com.independentsoft.office.spreadsheet.externalLinks.ExternalDefinedName

public class ExternalDefinedName extends Object
The Class ExternalDefinedName.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalDefinedName()`
  Instantiates a new external defined name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExternalDefinedName`
  `clone()`
  `String`
  `getName()`
  Gets the name.
  `String`
  `getRefersTo()`
  Gets the refers to.
  `String`
  `getSheetID()`
  Gets the sheet id.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setRefersTo​(String refersTo)`
  Sets the refers to.
  `void`
  `setSheetID​(String sheetID)`
  Sets the sheet id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExternalDefinedName

    public ExternalDefinedName()
    Instantiates a new external defined name.

- ## Method Details

  - ### clone

    public ExternalDefinedName clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getRefersTo

    public String getRefersTo()
    Gets the refers to.
    Returns:
      the refers to

  - ### setRefersTo

    public void setRefersTo​(String refersTo)
    Sets the refers to.
    Parameters:
      `refersTo` - the new refers to

  - ### getSheetID

    public String getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(String sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id